<?php
session_start();
require_once(__DIR__ . "/../inc/config.inc.php");
require_once(__DIR__ . "/../inc/functions.inc.php");


include("templates/header.inc.php");
?>
		
	</header>

<!-- Main -->

    <div class="jumbotron">
      <div class="container">
	<?php
if(  is_checked_in_index() ){
		$user = check_intern_user();	
		?>
		<h1>Interner Bereich</h1>

		<p>Hallo <?php echo htmlentities($user['vorname']); ?>,<br>
		Herzlich Willkommen im internen Bereich von <?php echo $organisationsname; ?>!<br><br></p>

		 
		<?php
		if(!check_mailreg()){
			
			echo "<br><br>";
			echo "Es fehlt die Authentifizierung Ihres Kontos per E-Mail! Bitte authentifizieren Sie Ihre E-Mail-Adresse.<br>";
			echo "<form action='authmeldung.php' method=POST>";
			echo "<input name=aktion type=hidden value=1>";
			echo "<input type=submit class='btn btn-primary' value='E-Mail Authentifizierung'><br>";
			echo '</form>';
		
		
		}
		if(!check_userdatenvorhanden()){
			
			echo "<br><br>";
			echo "Es fehlen noch Informationen in Ihrem Stammdaten. Bitte pflegen Sie die Daten nach, damit <br>";
			echo "<form action='settings.php' method=POST>";
			echo "<input name=aktion type=hidden value=1>";
			echo "<input type=submit class='btn btn-primary' value='Stammdaten pflegen'><br>";
			echo '</form>';
		
		
		}	
	
		
		
		if(check_mailreg() && check_userdatenvorhanden() ){
		?>
			<p>Neue Anfragen können Sie über diesen Button einreichen:<br><br></p>
			<p><a class="btn btn-primary btn-lg" href="neueanfrage.php" role="button">Neue Anfragen erstellen</a></p><br><br>	
	
			<p>Hier können Sie Ihre Anfragen einsehen. Die Antwort erhalten Sie per E-Mail.<br><br></p>
			<p><a class="btn btn-primary btn-lg" href="meineanfragen.php" role="button">Meine Anfragen einsehen</a></p><br><br>	
			

		<?php
		
		}else{
		
		?>
		
		
		<?php
		}
		
		?>
		
<?php		
	}else{

	?>

        <h1>Interner Bereich</h1>
        
        <p>Nach der Anmeldung können Sie Ihre Anfragen an <?php echo $organisationsname; ?> einsehen oder neue Anfragen erstellen.<br>
		Bevor Sie sich anmelden können, müssen Sie sich registieren.<br><br></p>
		<form action="login.php" method="post">
			<h2 class="form-signin-heading">Login</h2>
			
		<?php 
		if(isset($error_msg) && !empty($error_msg)) {
			echo $error_msg;
		}
		?>
			<label for="inputEmail" class="sr-only">E-Mail</label>
			<input type="email" name="email" id="inputEmail" class="form-control" placeholder="E-Mail" value="<?php echo $email_value; ?>" required autofocus>
			<label for="inputPassword" class="sr-only">Passwort</label>
			<input type="password" name="passwort" id="inputPassword" class="form-control" placeholder="Passwort" required>
			<div class="checkbox">
			  <label>
				<input type="checkbox" value="remember-me" name="angemeldet_bleiben" value="1" checked> Angemeldet bleiben
			  </label>
			</div>
			<br>
			<button class="btn btn-lg btn-primary " type="submit">Login</button>
			<br><br>
			<a href="passwortvergessen.php">Passwort vergessen</a>
		  </form>
		
		<br><br><br><br>
		
        <p><a class="btn btn-primary " href="register.php" role="button">Jetzt registrieren</a></p>




 
							

<?php
	}
?>
     </div>
    </div>
<?php

include("templates/footer.inc.php")
?>